gdk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object Object representing a physical screen. To be added
- Constructor
  2.12.0.0
  To be added
  To be added
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  Gdk.Window The current active window for the screen. a . Returns if there is no current active window or the window manager doesn't support the necessary properties to determine the active window.
- Method
  2.12.0.0
  System.Void `` a To be added To be added
- Event
  2.12.0.0
  GLib.Signal("composited_changed")
  System.EventHandler Raised when the composited status of the screen changes.
- Property
  2.12.0.0
  Gdk.Screen The default screen of the default display. The default . Returns null if there iss no default display.
- Property
  2.12.0.0
  Gdk.Colormap To be added a To be added
- Property
  2.12.0.0
  Gdk.Display To be added a To be added
- Property
  2.12.0.0
  GLib.Property("font-options")
  Cairo.FontOptions The default font options for the screen. The default . If multiple accesses to this information are needed, you may want to consider cacheing the result. The get accessor needs to use reflection to create the FontOptions instance and could possibly cause performance issues if called frequently.
- Method
  2.12.0.0
  System.Int32 `` `` A representing the x coordinate on the virtual screen. A representing the y coordinate on the virtual screen. Gets the monitor number where the point is located. A indicating the monitor where the point is located. If the point isn't in any monitor, then the nearest monitor is returned.
- Method
  2.12.0.0
  System.Int32 `` A whose main monitor is claimed. Gets the monitor that contains most of the given window. A indicating the required monitor. If the window does not intersect any of the monitors, then the a close one is returned.
- Method
  2.12.0.0
  Gdk.Rectangle `` a To be added a To be added
- Method
  2.12.0.0
  System.Boolean `` `` a a To be added a To be added
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  System.Int32 The height of the screen in pixels. A with the number of pixels of the screen.
- Property
  2.12.0.0
  System.Int32 The height of the screen in millimeters. A with the height of the screen in millimeters.
- Property
  2.12.0.0
  System.Boolean Indicates if compositing is supported. If compositing is supported. Indicates if RGBA visuals with an alpha value can be expected to have their alpha channel drawn properly on screen.
- Method
  2.12.0.0
  Gdk.Visual[] To be added a To be added
- Method
  2.12.0.0
  System.String To be added a To be added
- Property
  2.12.0.0
  System.Int32 To be added a

  Returns an of the number of monitors attached to the current .

  The following example will print the number of monitors in the current display to the console.

  `Display theDisplay = Display.OpenDefaultLibgtkOnly(); Screen defaultScreen = theDisplay.DefaultScreen; int numMonitors = defaultScreen.NMonitors; Console.WriteLine("You have {0} monitors.",numMonitors);`
- Property
  2.12.0.0
  System.Int32 To be added a To be added
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCompositedChanged", Type=typeof(Gdk.Screen))
  System.Void Default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSizeChanged", Type=typeof(Gdk.Screen))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  2.12.0.0
  GLib.Property("resolution")
  System.Double The resolution for fonts on the screen. the scaling factor from pango units to cairo units. The default is -1.
- Property
  2.12.0.0
  Gdk.Colormap A Colormap to use for creating Drawables with an alpha channel. a or . The windowing system may not support this capability, in which case will be returned. Even if a non- value is returned, its possible that the drawable's alpha channel won't be honored when displaying on screen: in particular, for X an appropriate windowing manager and compositing manager must be running to provide appropriate display.
- Property
  2.12.0.0
  Gdk.Visual A Visual to use for creating Drawables with an alpha channel. a or . Returns if the capability is not available. See for caveats.
- Property
  2.12.0.0
  Gdk.Colormap To be added a To be added
- Property
  2.12.0.0
  Gdk.Visual To be added a To be added
- Property
  2.12.0.0
  Gdk.Window To be added a To be added
- Event
  2.12.0.0
  GLib.Signal("size_changed")
  System.EventHandler To be added To be added
- Property
  2.12.0.0
  Gdk.Colormap To be added a To be added
- Property
  2.12.0.0
  Gdk.Visual To be added a To be added
- Property
  2.12.0.0
  Gdk.Window[] To be added a To be added
- Property
  2.12.0.0
  System.Int32 The width of the screen in pixels. A with the number of pixels of the screen.
- Property
  2.12.0.0
  System.Int32 The width of the screen in millimeters. A with the width of the screen in millimeters.
- Property
  2.12.0.0
  Gdk.Window[] The current window stack for the screen. an array of representing the window stack. This property depends on optional Window Manager features. If the feature is not supported, an empty array will be returned.